local lprint = love.graphics.print

function stellarInfoPanel()
	if showStellarPanel == true then
		love.graphics.setColor(150,150,150,50)
		love.graphics.rectangle("fill", 10, 10, 190, screenHeight - 20)
		
		love.graphics.setColor(200,200,200, 150)
		lprint("Screen Size: " .. screenWidth .. "x" .. screenHeight, 15, 15)
		lprint("View Coords: " .. math.floor(centerX) .. "x" .. math.floor(centerY), 15, 16*2)
		lprint("Paused: " .. tostring(paused), 15, 16*3)
		lprint("Zoom Factor: " .. math.floor(33 - zoomFactor) .. "x" , 15, 16*4)
		lprint("Draw Mode: " .. drawMode, 15, 16*6)
		lprint("Orbits Alpha: " .. tostring(orbitsAlpha) .. "/255", 15, 16*7)
		
		lprint("Mercury years: " .. planet["mercury"].yo, 15, 134 + 16*1)
		lprint("Venus years: " .. planet["venus"].yo, 15,134 + 16*2)
		lprint("Earth years: " .. planet["earth"].yo, 15,134 + 16*3)
		lprint("Mars years: " .. planet["mars"].yo, 15,134 + 16*4)
		lprint("Jupiter years: " .. planet["jupiter"].yo, 15,134 + 16*5)
		lprint("Saturn years: " .. planet["saturn"].yo, 15,134 + 16*6)
		lprint("Uranus years: " .. planet["uranus"].yo, 15,134 + 16*7)
		lprint("Neptune years: " .. planet["neptune"].yo, 15,134 + 16*8)
		lprint("Pluto years: " .. planet["pluto"].yo, 15,134 + 16*9)
		
		lprint("F10: show help panel", 15, screenHeight - 30)
	else
		love.graphics.setColor(150,150,150,150)
		lprint("F10: show help panel", 15, 15)
	end
end

function helpPanel()
	if showHelpPanel == true then
		
		local x = screenWidth/2 - 415
		local y = ((screenHeight)/2) - 200
		local row = 1
		
		love.graphics.setColor(255, 240, 200, 255)
		love.graphics.draw(logo, screenWidth/2 - logo:getWidth()/2, 0)
		
		love.graphics.setColor(100,100,100,150)
		love.graphics.rectangle("fill", x, y, 800, 500)
		
		love.graphics.setColor(125,125,125,255)
		lprint("Version " .. __VER, screenWidth - 100, screenHeight - 32)
		
		love.graphics.setColor(255,255,255, 255)
		
		lprint("Key Bindings: ", x+15, y+15)
		lprint("------------", x+15, y+15 + 16*row)
		row = row + 1
		lprint("F: toggle fullscreen", x+15, y+15 + 16*row)
		row = row + 1
		lprint("A: decrease speed", x+15, y+15 + 16*row)
		row = row + 1
		lprint("S: increase speed", x+15, y+15 + 16*row)
		row = row + 1
		lprint("Arrow keys: move map", x+15, y+15 + 16*row)
		row = row + 1
		lprint("KP+: increase zoom", x+15, y+15 + 16*row)
		row = row + 1
		lprint("KP-: decrease zoom", x+15, y+15 + 16*row)
		row = row + 1
		lprint("C: center to Sun", x+15, y+15 + 16*row)
		row = row + 1
		lprint("X: reset zoom factor", x+15, y+15 + 16*row)
		row = row + 1
		lprint("Z: reset everything", x+15, y+15 + 16*row)
		row = row + 1
		lprint("M: increase planet size", x+15, y+15 + 16*row)
		row = row + 1
		lprint("N: decrease planet size", x+15, y+15 + 16*row)
		row = row + 1
		lprint("Space: pause orbits", x+15, y+15 + 16*row)
		row = row + 1
		lprint("W: change draw mode", x+15, y+15 + 16*row)
		row = row + 1
		lprint("B: change background type", x+15, y+15 + 16*row)
		row = row + 1
		lprint("O: change orbits alpha", x+15, y+15 + 16*row)
		row = row + 1
		row = row + 1
		lprint("F9: Toggle stellar info panel", x+15, y+15 + 16*row)
		row = row + 1
		lprint("F10: Toggle help info panel", x+15, y+15 + 16*row)
		row = row + 1
		
		love.graphics.setColor(100,100,100,150)
		love.graphics.line(x+198, y+15, x+198, y+200)
		love.graphics.setColor(25,25,25,150)
		love.graphics.line(x+200, y+15, x+200, y+200)
		
		row = 1
		-- ver info
		love.graphics.setColor(255,255,255, 255)
		
		lprint("Version Info: ", x+225, y+15)
		lprint("------------", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[+] Added initial mouse support", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[+] Added this help page with version info and keys", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[+] Added planets tooltip when mouse hover", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[+] Tweaked source code", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[+] Added options to switch background type", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[+] Added option to change orbits lines transparency", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[+] Created app logo", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[?] Implement Go To planet option", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[?] Add more extra info for planets' tooltips", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[?] Change orbits from circles to ellipses", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[?] Add astronomy data: oppositions, conjunctions, eclipses...", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[?] Add planets satellites", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[?] Add comets", x+225, y+15 + 16*row)
		row = row + 1
		lprint("[?] Textured planets", x+225, y+15 + 16*row)
		row = row + 1
	end
end

function planetTooltip(planetName)
	local startX, startY = love.mouse.getX(), love.mouse.getY()
	
	row = 1
	
	if planetName  ~= nil and showHelpPanel == false then
		love.graphics.setColor(25,25,25,200)
		
		if love.mouse.getX() >= screenWidth/2 then 
			startX = startX - 200
		end
		if love.mouse.getY() >= screenHeight/2 then 
			startY = startY - 200
		end
		
		love.graphics.rectangle("fill", startX, startY, 200, 200)
		
		love.graphics.setColor(planet[planetName].c)
		lprint(planet[planetName].n, startX + 5, startY + 5*row)
		row = row + 1
		lprint("----------", startX + 5, startY + 7*row)
		row = row + 1
		lprint("Sideral period: " .. planet[planetName].i1, startX + 5, startY + 10*row)
		row = row + 1
		--lprint("Rotation period: " .. planet[planetName].i2, startX + 5, startY + 13*row)
		--row = row + 1
	end
end
