-- SÖLAR: fairly simple solar system simulator
-- Credits:
-- Idea and main programming: Ubermann
-- Realtime stars backgroud: Saegor

-- Poor on comments, but it's quite esy to understand

require "var"
require "keyboard"
require "mouse"
require "info"
require "background"
require "maths"
require "extraInfo"

function love.load()
	love.graphics.setMode(screenWidth, screenHeight, false)
end

function love.draw()
	keybindings()
	--love.graphics.print (love.mouse.getX() .. "  " .. love.mouse.getY(), 200, 200)
	
	if backgroundType == 0 then
	
	elseif backgroundType == 1 then
		drawRealtimeStars()
	else
		doStars = false
		drawBackground()
	end
	
	drawOrbits()
	calculateOrbits()
	drawLabels()
	
	restartAngles()
	calculateYears()
	
	if paused == true and rotationSpeed > 0 then
		unpausedSpeed = rotationSpeed
		rotationSpeed = 0
	elseif paused == false then
		rotationSpeed = unpausedSpeed
	end
	
	stellarInfoPanel()
	helpPanel()
	
	hoverPlanet()
end

function love.update(dt)
	if doStars == true then 
		doStars = false
		createNewStars()
	end
	
	if stars ~= nil then
		for k, _ in ipairs(stars) do
			stars[k].n = stars[k].n + math.random(-0x8, 0x8)
			if stars[k].n < 0 then
				stars[k].n = 0
			elseif stars[k].n > 0xff then
				stars[k].n = 0xff
			end
		end
	end
end

function drawLabels()
	
	for	i in pairs(planet) do
		
		labelX = planet[i].x
		labelY = planet[i].y
		
		if labelX + 50 > screenWidth then labelX = screenWidth - 50 end
		if labelY + 24 > screenHeight then labelY = screenHeight - 24 end
		
		if labelX < 5 then labelX = 5 end
		if labelY < 5 then labelY = 5 end
		
		love.graphics.setColor(planet[i].c)
		love.graphics.print (planet[i].n, labelX, labelY)
	end
end

function setScreen(w, h)
	if w ~= screenWidth or h ~= screenHeight then
		screenWidth = w
		screenHeight = h
		love.graphics.setMode(w, h, false)
		createNewStars()
	end
end
