function calculateOrbits()
	
	-- (x/2)^2 + (y/b)^2 = 1
	-- a x radius
	-- b y radius
	
	if rotationSpeed ~= 0 then
		mercuryAngle = mercuryAngle + rotationSpeed
		venusAngle = venusAngle + rotationSpeed/2.55
		earthAngle = earthAngle + rotationSpeed/4.15
		marsAngle = marsAngle + rotationSpeed/7.81
		jupiterAngle = jupiterAngle + rotationSpeed/49.26
		saturnAngle = saturnAngle + rotationSpeed/122.32
		uranusAngle = uranusAngle + rotationSpeed/350.38
		neptuneAngle = neptuneAngle + rotationSpeed/684.75
		plutoAngle = plutoAngle + rotationSpeed/1032.04
	end
	
	love.graphics.setColor(255,255,150,150)
	if basicRadius - zoomFactor < 0 then
		love.graphics.circle(drawMode, centerX, centerY, 1)
	else
		love.graphics.circle(drawMode, centerX, centerY, basicRadius - zoomFactor)
	end
	
	-- Mercury
	local radius = basicRadius -- 57.910
	planet["mercury"].x = centerX + radius*math.cos(mercuryAngle*pi/180)
	planet["mercury"].y = centerY + radius*math.sin(mercuryAngle*pi/180)
	love.graphics.setColor(planet["mercury"].c)
	love.graphics.circle(drawMode, planet["mercury"].x, planet["mercury"].y, basicDiameter/zoomFactor) -- 4879.4 diameter
	planet["mercury"].r = basicDiameter*1.24/zoomFactor
	-- Venus
	radius = basicRadius + radius * (1.86/zoomFactor)
	planet["venus"].x = centerX + radius*math.cos(venusAngle*pi/180)
	planet["venus"].y = centerY + radius*math.sin(venusAngle*pi/180)
	love.graphics.setColor(planet["venus"].c)
	love.graphics.circle(drawMode, planet["venus"].x,planet["venus"].y, basicDiameter*1.24/zoomFactor)
	planet["venus"].r = basicDiameter*1.24/zoomFactor
	-- Earth
	radius = basicRadius + radius * (2.53/zoomFactor)
	planet["earth"].x = centerX + radius*math.cos(earthAngle*pi/180)
	planet["earth"].y = centerY + radius*math.sin(earthAngle*pi/180)
	love.graphics.setColor(planet["earth"].c)
	love.graphics.circle(drawMode, planet["earth"].x,planet["earth"].y, basicDiameter*1.30/zoomFactor)
	planet["earth"].r = basicDiameter*1.30/zoomFactor
	-- Mars
	radius = basicRadius + radius * (3.93/zoomFactor)
	planet["mars"].r = radius
	planet["mars"].x = centerX + radius*math.cos(marsAngle*pi/180)
	planet["mars"].y = centerY + radius*math.sin(marsAngle*pi/180)
	love.graphics.setColor(planet["mars"].c)
	love.graphics.circle(drawMode, planet["mars"].x,planet["mars"].y, basicDiameter*0.69/zoomFactor)
	planet["mars"].r = basicDiameter*0.69/zoomFactor
	-- Jupiter
	radius = basicRadius + radius * (13.44/zoomFactor)
	planet["jupiter"].x = centerX + radius*math.cos(jupiterAngle*pi/180)
	planet["jupiter"].y = centerY + radius*math.sin(jupiterAngle*pi/180)
	love.graphics.setColor(planet["jupiter"].c)
	love.graphics.circle(drawMode, planet["jupiter"].x,planet["jupiter"].y, basicDiameter*14.65/zoomFactor)
	planet["jupiter"].r = basicDiameter*14.65/zoomFactor
	-- Saturn
	radius = basicRadius + radius * (24.68/zoomFactor)
	planet["saturn"].x = centerX + radius*math.cos(saturnAngle*pi/180)
	planet["saturn"].y = centerY + radius*math.sin(saturnAngle*pi/180)
	love.graphics.setColor(planet["saturn"].c)
	love.graphics.circle(drawMode, planet["saturn"].x,planet["saturn"].y, basicDiameter*12.35/zoomFactor)
	planet["saturn"].r = basicDiameter*12.35/zoomFactor
	-- Uranus
	radius = basicRadius + radius * (49.57/zoomFactor)
	planet["uranus"].x = centerX + radius*math.cos(uranusAngle*pi/180)
	planet["uranus"].y = centerY + radius*math.sin(uranusAngle*pi/180)
	love.graphics.setColor(planet["uranus"].c)
	love.graphics.circle(drawMode, planet["uranus"].x,planet["uranus"].y, basicDiameter*5.23/zoomFactor)
	planet["uranus"].r = basicDiameter*5.23/zoomFactor
	-- Neptune
	radius = basicRadius + radius * (77.78/zoomFactor)
	planet["neptune"].x = centerX + radius*math.cos(neptuneAngle*pi/180)
	planet["neptune"].y = centerY + radius*math.sin(neptuneAngle*pi/180)
	love.graphics.setColor(planet["neptune"].c)
	love.graphics.circle(drawMode, planet["neptune"].x,planet["neptune"].y, basicDiameter*5.16/zoomFactor)
	planet["neptune"].r = basicDiameter*5.16/zoomFactor
	-- Pluto
	radius = basicRadius + radius * (102.11/zoomFactor)
	planet["pluto"].x = centerX + radius*math.cos(plutoAngle*pi/180)
	planet["pluto"].y = centerY + radius*math.sin(plutoAngle*pi/180)
	love.graphics.setColor(planet["pluto"].c)
	love.graphics.circle(drawMode, planet["pluto"].x,planet["pluto"].y, basicDiameter*10/zoomFactor)
	--planet["pluto"].r = basicDiameter*0.23/zoomFactor
	-- Using 1x radio because it's too small
	planet["pluto"].r = basicDiameter*10/zoomFactor
end


function restartAngles()
	if mercuryAngle >= 360 then mercuryAngle = 0 end
	if venusAngle >= 360 then venusAngle = 0 end
	if earthAngle >= 360 then earthAngle = 0 end
	if marsAngle >= 360 then marsAngle = 0 end
	if jupiterAngle >= 360 then jupiterAngle = 0 end
	if saturnAngle >= 360 then saturnAngle = 0 end
	if uranusAngle >= 360 then uranusAngle = 0 end
	if neptuneAngle >= 360 then neptuneAngle = 0 end
	if plutoAngle >= 360 then plutoAngle = 0 end
end

function calculateYears()
	if paused == false then
		if mercuryAngle == 0 then
			planet["mercury"].yo = planet["mercury"].yo + 1
		end
		if venusAngle == 0 then
			planet["venus"].yo = planet["venus"].yo + 1
		end
		if earthAngle == 0 then
			planet["earth"].yo = planet["earth"].yo + 1
		end
		if marsAngle == 0 then
			planet["mars"].yo = planet["mars"].yo + 1
		end
		if jupiterAngle == 0 then
			planet["jupiter"].yo = planet["jupiter"].yo + 1
		end
		if saturnAngle == 0 then
			planet["saturn"].yo = planet["saturn"].yo + 1
		end
		if uranusAngle == 0 then
			planet["uranus"].yo = planet["uranus"].yo + 1
		end
		if neptuneAngle == 0 then
			planet["neptune"].yo = planet["neptune"].yo + 1
		end
		if plutoAngle == 0 then
			planet["pluto"].yo = planet["pluto"].yo + 1
		end
	end
end

function drawOrbits()
	love.graphics.setColor(100,100,100,orbitsAlpha)
	local radius = basicRadius
	-- Mercury
	love.graphics.circle("line", centerX, centerY, radius)
	-- Venus
	radius = basicRadius + radius * (1.86/zoomFactor)
	love.graphics.circle("line", centerX, centerY, radius)
	-- Earth
	radius = basicRadius + radius * (2.53/zoomFactor)
	love.graphics.circle("line", centerX, centerY, radius)
	-- Mars
	radius = basicRadius + radius * (3.93/zoomFactor)
	love.graphics.circle("line", centerX, centerY, radius)
	-- Jupiter
	radius = basicRadius + radius * (13.44/zoomFactor)
	if radius <= screenWidth then
		love.graphics.circle("line", centerX, centerY, radius)
	end
	-- Saturn
	radius = basicRadius + radius * (24.68/zoomFactor)
	if radius <= screenWidth then
		love.graphics.circle("line", centerX, centerY, radius)
	end
	-- Uranus
	radius = basicRadius + radius * (49.57/zoomFactor)
	if radius <= screenWidth then
		love.graphics.circle("line", centerX, centerY, radius)
	end
	-- Neptune
	radius = basicRadius + radius * (77.78/zoomFactor)
	if radius <= screenWidth then
		love.graphics.circle("line", centerX, centerY, radius)
	end
	-- Pluto
	radius = basicRadius + radius * (102.11/zoomFactor)
	if radius <= screenWidth then
		love.graphics.circle("line", centerX, centerY, radius)
	end
end
